#include <iostream>

using namespace std;
int brredara(int n,int m){
    if(n==1)
        return m;
    if(m==1)
        return n;
    if(m==2 || n==2)
        return m*n;
    return m*2+n*2-4+((m-2)*(n-2)/2);
}
int main()
{
    int n,m;
    cin>>n>>m;
    int rez=brredara(n,m);
    cout<<rez;
    return 0;
}